import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/map';
import { RPCService } from '@loafer/ng-rpc/service';
import { Probe, ProbeHost } from '@overflow/commons-typescript/model/probe';
import { Domain } from '@overflow/commons-typescript/model/domain';


@Injectable()
export class ProbeHostService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByProbe(probe: Probe): Observable<Probe> {
    return this.rpcService.call<ProbeHost>('ProbeHostService.readByProbe', probe);
  }

  public readAllByDomain(domain: Domain): Observable<ProbeHost[]> {
    return this.rpcService.call<ProbeHost[]>('ProbeHostService.readAllByDomain', domain);
  }

}
